%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/stoewer/go-strcase
Version:                1.2.0

%gometa

%global common_description %{expand:
Convert snake case, camel case and kebap case strings.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Convert snake case, camel case and kebap case strings

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
